import "./index.css";
import React from "react";

const Tabs = ({ tabs, onTabChange, activeTab, theme }) => {
  return (
    <div className="container">
      <div className="tabs">
        {tabs.map((tab) => (
          <div
            class={`tab ${activeTab === tab ? "active" : ""}`}
            onClick={() => onTabChange(tab)}
            style={
              activeTab === tab
                ? theme === "light"
                  ? { color: "#fff", backgroundColor: "#0f0d36" }
                  : { color: "#fff", backgroundColor: "#f50057" }
                : {}
            }
          >
            {tab}
          </div>
        ))}
      </div>
    </div>
  );
};

export default Tabs;
