import React, { useEffect, useRef, useState } from "react";
import colorWheel from "assets/color-wheel.png";

import { listenForOutsideClicks } from "utils/constants";

const ColorWheel = React.memo(({ colorLegend, section }) => {
  const [sectionState, setSectionState] = useState(false);
  const [listening, setListening] = useState(false);
  const toolTipRef = useRef();

  useEffect(
    listenForOutsideClicks(listening, setListening, toolTipRef, setSectionState)
  );
  return (
    <>
      <div
        style={{
          height: "100%",
          alignItems: "center",
          marginRight: "5px",
          cursor: "pointer",
          position: "relative",
          textTransform: "capitalize",
          color: "#fff",
          textDecoration: "underline",
        }}
        onClick={() => setSectionState(!sectionState)}
        ref={toolTipRef}
      >
        {sectionState && (
          <div
            style={{
              position: "absolute",
              transform: " translateY(-110%)",
              right: "10%",
              borderRadius: "4px",
              minHeight: "50px",
              padding: "5px",
              color: "#000",
              background: "#fff",
              border: "1px solid transparent",
            }}
          >
            {colorLegend[section].map((type) => (
              <div
                style={{
                  display: "flex",
                  height: "30px",
                  fontSize: "14px",
                  alignItems: "center",
                  margin: "5px",
                }}
              >
                <div
                  style={{
                    height: "30px",
                    width: "30px",
                    marginRight: "5px",
                    background: type.color,
                  }}
                ></div>
                {type.value}
              </div>
            ))}
          </div>
        )}
        {section} color mapping
      </div>
    </>
  );
});

export default ColorWheel;
