import React from "react";
import { ShelfDisplayConstants } from "utils/constants";
const { minimapImageHeight, shelfImageHeight } = ShelfDisplayConstants;

const SvgPolygon = React.memo(({ showPosm, img, minimap, onClickPolygon }) => {
  let factor;
  if (minimap) {
    factor = minimapImageHeight / img.height;
  } else {
    factor = shelfImageHeight / img.height;
  }
  return (
    <>
      {showPosm && (
        <svg id="layer" className="svgComponent posmComponent">
          {img.displays.map((posm, index) => (
            <>
              <polygon
                key={index}
                height={"100%"}
                strokeWidth={minimap ? "2px" : "4px"}
                points={posm.coords
                  .split(",")
                  .map((el) => el * factor)
                  .join(",")}
                fill="transparent"
                stroke="#48ec09"
                onClick={() => onClickPolygon(posm, img)}
              />
            </>
          ))}
        </svg>
      )}
    </>
  );
});

export default SvgPolygon;
