import React, { useState } from "react";
import zoomIn from "assets/zoom_in.svg";
import reset from "assets/reset.svg";
import zoomInLight from "assets/zoom_in_light.svg";
import resetLight from "assets/reset_light.svg";
import styled from "styled-components";

const StyledButton = styled("button")`
  width: 40px;
  height: 40px;
  border: ${(props) =>
    props.theme === "light"
      ? props.isZoomEnabled
        ? "1px solid #585454"
        : "1px solid #aaa"
      : "1px solid #585454"};
  cursor: pointer;
  display: flex;
  padding: 10px 0;
  background: ${(props) =>
    props.theme === "light"
      ? "transparent"
      : props.isZoomEnabled
      ? "rgba(0,0,0,0.8)"
      : "#3c3c40"};
  align-items: center;
  justify-content: center;
  margin-right: 5px;
  &:hover {
    background: ${(props) => (props.theme === "light" ? "#dcdcdc" : "#282829")};
  }
`;

const Index = ({ enableZoom, isZoomEnabled, resetTransform, theme }) => {
  return (
    <div className="shelfHeader">
      <StyledButton
        theme={theme}
        isZoomEnabled={isZoomEnabled}
        onClick={() => {
          if (isZoomEnabled) {
            resetTransform();
            enableZoom(false);
          } else {
            enableZoom(true);
          }
        }}
      >
        <img
          src={theme === "light" ? zoomInLight : zoomIn}
          alt="zoom-in"
          height="16px"
        />
      </StyledButton>{" "}
      <StyledButton
        // onClick={() => (isZoomEnabled ? setResetZoom(true) : undefined)}
        onClick={() => {
          resetTransform();
          enableZoom(false);
        }}
        theme={theme}
      >
        <img
          src={theme === "light" ? resetLight : reset}
          alt="zoom-in"
          height="16px"
        />
      </StyledButton>{" "}
    </div>
  );
};

export default Index;
