import axios from "axios";
import React, { useState } from "react";

function Index({ submitHandlerForTest }) {
  const [username, setUsername] = useState("");
  const [password, setPassword] = useState("");
  const [loading, setLoading] = useState(false);
  const handleLogin = (e) => {
    e.preventDefault();
    if (!username || !password) {
      return alert("Please enter details");
    }
    setLoading(true);
    axios
      .post("https://pg-indo.infiviz.ai/api/v1/login/", {
        password: password,
        username: username,
      })
      .then((res) => {
        setLoading(false);
        localStorage.setItem("authToken", res.data.token);
        window.location = "/app";
      });
  };
  return (
    <div className="alignCenter" style={{ marginTop: "10px" }}>
      <form
        onSubmit={handleLogin}
        style={{
          border: "1px solid #e5e5e5",
          padding: "10px",
          textAlign: "center",
        }}
      >
        <div style={{ height: "50px" }}>
          <label>Username:</label>
          <input
            role="textbox"
            name="username"
            label="username"
            placeholder="Enter Username"
            value={username}
            onChange={(e) => setUsername(e.target.value)}
          />
        </div>
        <div style={{ height: "50px" }}>
          <label>Password:</label>
          <input
            role="textbox"
            name="password"
            label="password"
            placeholder="Enter password"
            value={password}
            type="password"
            onChange={(e) => setPassword(e.target.value)}
          />
        </div>
        <button type="submit" role="button">
          {loading ? "Loging In " : "Login"}
        </button>
      </form>
    </div>
  );
}

export default Index;
