import down from "assets/arrow_down.svg";
import up from "assets/arrow_up.svg";
import right from "assets/arrow_right.svg";
import left from "assets/arrow_left.svg";
import React from "react";

export const ShelfDisplayConstants = Object.freeze({
  shelfImageHeight: 500,
  minimapImageHeight: 50,
});

export const DirectionObj = Object.freeze({
  DOWN: (
    <div style={{ backgroundColor: "#5b773c", height: "25px", padding: "4px" }}>
      <img src={down} alt="down" height="100%"></img>
    </div>
  ),
  UP: (
    <div style={{ backgroundColor: "#5b773c", height: "25px", padding: "4px" }}>
      {" "}
      <img src={up} alt="down" height="100%"></img>
    </div>
  ),
  LEFT: (
    <div style={{ backgroundColor: "#5b773c", height: "25px", padding: "4px" }}>
      {" "}
      <img src={left} alt="down" height="100%"></img>
    </div>
  ),
  RIGHT: (
    <div style={{ backgroundColor: "#5b773c", height: "25px", padding: "4px" }}>
      <img src={right} alt="down" height="100%"></img>
    </div>
  ),
});

export const listenForOutsideClicks = (
  listening,
  setListening,
  menuRef,
  setIsOpen
) => {
  return () => {
    if (listening) return;
    if (!menuRef.current) return;
    setListening(true);
    [`click`, `touchstart`].forEach((type) => {
      document.addEventListener(`click`, (evt) => {
        const cur = menuRef.current;
        const node = evt.target;
        // if (cur.contains(node)) return;
        setIsOpen(false);
      });
    });
  };
};

export const response = {
  segment_color_map: [],
  columns_meta: {
    eye_level_count: {
      is_searchable: true,
      is_sortable: true,
    },
    category: {
      is_searchable: true,
      is_sortable: true,
    },
    sku_name: {
      is_searchable: true,
      is_sortable: true,
    },
    count: {
      is_searchable: true,
      is_sortable: true,
    },
    brand: {
      is_searchable: true,
      is_sortable: true,
    },
  },
  variants: [
    {
      eye_level_count: 3,
      details: [
        {
          category: "Fabric Care",
        },
        {
          brand: "Downy",
        },
        {
          segment: "",
        },
        {
          sku_name: "DOWNY FBEN LIQ 1.5LX6 MG RFL J_ID EXP2",
        },
        {
          ean: "",
        },
        {
          packshot:
            "https://storage.googleapis.com/infilect-shelfdemo/media/sku_reference_photo/1613371144/dn-mild-gentle-1500ml.jpg",
        },
        {
          "Promotional Type": "Normal Price",
        },
        {
          "Promotional Crop":
            "https://storage.googleapis.com/infilect-shelfdemo/media/sticker_crop/2022/03/10/06/scaled_1646893162.2583654.jpg",
        },
        {
          Price: "55000.0",
        },
        {
          count: 3,
        },
        {
          eye_level_count: 3,
        },
      ],

      bounding_boxes: [
        {
          left: 1789,
          photoID: 27792,
          is_in_eye_level: false,
          top: 35,
          bottom: 273,
          is_side_facing: true,
          color: "#FF0000",
          right: 1899,
          is_in_overlap: true,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Downy",
            },
            {
              "SKU Name": "DOWNY FBEN LIQ 1.5LX6 MG RFL J_ID EXP2",
            },
            {
              brand_form: "",
            },
            {
              Segment: "",
            },
            {
              "Pack Shot":
                "https://storage.googleapis.com/infilect-shelfdemo/media/sku_reference_photo/1613371144/dn-mild-gentle-1500ml.jpg",
            },
          ],
          id: 1729858,
        },
        {
          left: 781,
          photoID: 27791,
          is_in_eye_level: true,
          top: 88,
          bottom: 181,
          is_side_facing: false,
          color: "#6C41A1",
          right: 871,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Downy",
            },
            {
              "SKU Name": "DOWNY FBEN LIQ 1.5LX6 MG RFL J_ID EXP2",
            },
            {
              brand_form: "",
            },
            {
              Segment: "",
            },
            {
              "Pack Shot":
                "https://storage.googleapis.com/infilect-shelfdemo/media/sku_reference_photo/1613371144/dn-mild-gentle-1500ml.jpg",
            },
          ],
          id: 1729916,
        },
        {
          left: 677,
          photoID: 27791,
          is_in_eye_level: true,
          top: 67,
          bottom: 174,
          is_side_facing: false,
          color: "#6C41A1",
          right: 779,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Downy",
            },
            {
              "SKU Name": "DOWNY FBEN LIQ 1.5LX6 MG RFL J_ID EXP2",
            },
            {
              brand_form: "",
            },
            {
              Segment: "",
            },
            {
              "Pack Shot":
                "https://storage.googleapis.com/infilect-shelfdemo/media/sku_reference_photo/1613371144/dn-mild-gentle-1500ml.jpg",
            },
          ],
          id: 1729914,
        },
        {
          left: 864,
          photoID: 27791,
          is_in_eye_level: true,
          top: 58,
          bottom: 181,
          is_side_facing: false,
          color: "#6C41A1",
          right: 962,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Downy",
            },
            {
              "SKU Name": "DOWNY FBEN LIQ 1.5LX6 MG RFL J_ID EXP2",
            },
            {
              brand_form: "",
            },
            {
              Segment: "",
            },
            {
              "Pack Shot":
                "https://storage.googleapis.com/infilect-shelfdemo/media/sku_reference_photo/1613371144/dn-mild-gentle-1500ml.jpg",
            },
          ],
          id: 1729907,
        },
      ],
      count: 4,
      id: "dn-mild-gentle-1500ml",
    },
    {
      eye_level_count: 4,
      details: [
        {
          category: "Fabric Care",
        },
        {
          brand: "Downy",
        },
        {
          segment: "",
        },
        {
          sku_name: "Downy Mild Gentle Refill 800mL",
        },
        {
          ean: "",
        },
        {
          packshot:
            "https://storage.googleapis.com/infilect-shelfdemo/media/sku_reference_photo/1613371182/dn-mild-gentle-800ml.jpg",
        },
        {
          "Promotional Type": "Normal Price",
        },
        {
          "Promotional Crop":
            "https://storage.googleapis.com/infilect-shelfdemo/media/sticker_crop/2022/03/10/06/scaled_1646893160.7313948.jpg",
        },
        {
          Price: "33200.0",
        },
        {
          count: 6,
        },
        {
          eye_level_count: 4,
        },
      ],
      bounding_boxes: [
        {
          left: 688,
          photoID: 27791,
          is_in_eye_level: true,
          top: 171,
          bottom: 300,
          is_side_facing: false,
          color: "#6C41A1",
          right: 783,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Downy",
            },
            {
              "SKU Name": "Downy Mild Gentle Refill 800mL",
            },
            {
              brand_form: "",
            },
            {
              Segment: "",
            },
            {
              "Pack Shot":
                "https://storage.googleapis.com/infilect-shelfdemo/media/sku_reference_photo/1613371182/dn-mild-gentle-800ml.jpg",
            },
          ],
          id: 1729905,
        },
        {
          left: 871,
          photoID: 27791,
          is_in_eye_level: true,
          top: 175,
          bottom: 301,
          is_side_facing: false,
          color: "#6C41A1",
          right: 963,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Downy",
            },
            {
              "SKU Name": "Downy Mild Gentle Refill 800mL",
            },
            {
              brand_form: "",
            },
            {
              Segment: "",
            },
            {
              "Pack Shot":
                "https://storage.googleapis.com/infilect-shelfdemo/media/sku_reference_photo/1613371182/dn-mild-gentle-800ml.jpg",
            },
          ],
          id: 1729895,
        },
        {
          left: 976,
          photoID: 27791,
          is_in_eye_level: true,
          top: 376,
          bottom: 663,
          is_side_facing: false,
          color: "#6C41A1",
          right: 1107,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Downy",
            },
            {
              "SKU Name": "Downy Mild Gentle Refill 800mL",
            },
            {
              brand_form: "",
            },
            {
              Segment: "",
            },
            {
              "Pack Shot":
                "https://storage.googleapis.com/infilect-shelfdemo/media/sku_reference_photo/1613371182/dn-mild-gentle-800ml.jpg",
            },
          ],
          id: 1729888,
        },
        {
          left: 811,
          photoID: 27791,
          is_in_eye_level: false,
          top: 731,
          bottom: 1041,
          is_side_facing: false,
          color: "#6C41A1",
          right: 962,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Downy",
            },
            {
              "SKU Name": "Downy Mild Gentle Refill 800mL",
            },
            {
              brand_form: "",
            },
            {
              Segment: "",
            },
            {
              "Pack Shot":
                "https://storage.googleapis.com/infilect-shelfdemo/media/sku_reference_photo/1613371182/dn-mild-gentle-800ml.jpg",
            },
          ],
          id: 1729887,
        },
        {
          left: 837,
          photoID: 27791,
          is_in_eye_level: true,
          top: 373,
          bottom: 669,
          is_side_facing: false,
          color: "#6C41A1",
          right: 984,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Downy",
            },
            {
              "SKU Name": "Downy Mild Gentle Refill 800mL",
            },
            {
              brand_form: "",
            },
            {
              Segment: "",
            },
            {
              "Pack Shot":
                "https://storage.googleapis.com/infilect-shelfdemo/media/sku_reference_photo/1613371182/dn-mild-gentle-800ml.jpg",
            },
          ],
          id: 1729883,
        },
        {
          left: 954,
          photoID: 27791,
          is_in_eye_level: false,
          top: 724,
          bottom: 1037,
          is_side_facing: false,
          color: "#6C41A1",
          right: 1107,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Downy",
            },
            {
              "SKU Name": "Downy Mild Gentle Refill 800mL",
            },
            {
              brand_form: "",
            },
            {
              Segment: "",
            },
            {
              "Pack Shot":
                "https://storage.googleapis.com/infilect-shelfdemo/media/sku_reference_photo/1613371182/dn-mild-gentle-800ml.jpg",
            },
          ],
          id: 1729872,
        },
      ],
      count: 6,
      id: "dn-mild-gentle-800ml",
    },
    {
      eye_level_count: 22,
      details: [
        {
          category: "Fabric Care",
        },
        {
          brand: "Molto",
        },
        {
          segment: "",
        },
        {
          sku_name: "Other",
        },
        {
          ean: "",
        },
        {
          packshot: "",
        },
        {
          Price: "27000.0",
        },
        {
          count: 25,
        },
        {
          eye_level_count: 22,
        },
      ],
      bounding_boxes: [
        {
          left: 1608,
          photoID: 27792,
          is_in_eye_level: false,
          top: 145,
          bottom: 245,
          is_side_facing: true,
          color: "#FF0000",
          right: 1702,
          is_in_overlap: true,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729852,
        },
        {
          left: 589,
          photoID: 27792,
          is_in_eye_level: true,
          top: 167,
          bottom: 210,
          is_side_facing: false,
          color: "#4E4020",
          right: 680,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729861,
        },
        {
          left: 1175,
          photoID: 27792,
          is_in_eye_level: true,
          top: 54,
          bottom: 142,
          is_side_facing: false,
          color: "#4E4020",
          right: 1273,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729857,
        },
        {
          left: 483,
          photoID: 27792,
          is_in_eye_level: true,
          top: 202,
          bottom: 288,
          is_side_facing: false,
          color: "#4E4020",
          right: 586,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729855,
        },
        {
          left: 781,
          photoID: 27792,
          is_in_eye_level: true,
          top: 193,
          bottom: 288,
          is_side_facing: false,
          color: "#4E4020",
          right: 886,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729854,
        },
        {
          left: 443,
          photoID: 27792,
          is_in_eye_level: true,
          top: 94,
          bottom: 169,
          is_side_facing: false,
          color: "#4E4020",
          right: 530,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729853,
        },
        {
          left: 583,
          photoID: 27792,
          is_in_eye_level: true,
          top: 204,
          bottom: 288,
          is_side_facing: false,
          color: "#4E4020",
          right: 686,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729851,
        },
        {
          left: 619,
          photoID: 27792,
          is_in_eye_level: true,
          top: 87,
          bottom: 166,
          is_side_facing: false,
          color: "#4E4020",
          right: 715,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729849,
        },
        {
          left: 1699,
          photoID: 27792,
          is_in_eye_level: false,
          top: 124,
          bottom: 258,
          is_side_facing: true,
          color: "#FF0000",
          right: 1805,
          is_in_overlap: true,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729847,
        },
        {
          left: 682,
          photoID: 27792,
          is_in_eye_level: true,
          top: 199,
          bottom: 289,
          is_side_facing: false,
          color: "#4E4020",
          right: 783,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729845,
        },
        {
          left: 528,
          photoID: 27792,
          is_in_eye_level: true,
          top: 105,
          bottom: 180,
          is_side_facing: false,
          color: "#4E4020",
          right: 620,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729843,
        },
        {
          left: 1288,
          photoID: 27792,
          is_in_eye_level: true,
          top: 132,
          bottom: 281,
          is_side_facing: false,
          color: "#4E4020",
          right: 1383,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729840,
        },
        {
          left: 1185,
          photoID: 27792,
          is_in_eye_level: true,
          top: 128,
          bottom: 283,
          is_side_facing: false,
          color: "#4E4020",
          right: 1289,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729839,
        },
        {
          left: 883,
          photoID: 27792,
          is_in_eye_level: true,
          top: 195,
          bottom: 286,
          is_side_facing: false,
          color: "#4E4020",
          right: 983,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729838,
        },
        {
          left: 988,
          photoID: 27792,
          is_in_eye_level: true,
          top: 52,
          bottom: 160,
          is_side_facing: false,
          color: "#4E4020",
          right: 1084,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729835,
        },
        {
          left: 982,
          photoID: 27792,
          is_in_eye_level: true,
          top: 156,
          bottom: 289,
          is_side_facing: false,
          color: "#4E4020",
          right: 1081,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729833,
        },
        {
          left: 686,
          photoID: 27792,
          is_in_eye_level: true,
          top: 362,
          bottom: 667,
          is_side_facing: false,
          color: "#4E4020",
          right: 819,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729830,
        },
        {
          left: 1488,
          photoID: 27792,
          is_in_eye_level: true,
          top: 141,
          bottom: 278,
          is_side_facing: false,
          color: "#4E4020",
          right: 1597,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729829,
        },
        {
          left: 1082,
          photoID: 27792,
          is_in_eye_level: true,
          top: 158,
          bottom: 288,
          is_side_facing: false,
          color: "#4E4020",
          right: 1183,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729827,
        },
        {
          left: 1382,
          photoID: 27792,
          is_in_eye_level: true,
          top: 138,
          bottom: 280,
          is_side_facing: false,
          color: "#4E4020",
          right: 1486,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729825,
        },
        {
          left: 406,
          photoID: 27792,
          is_in_eye_level: true,
          top: 366,
          bottom: 672,
          is_side_facing: false,
          color: "#4E4020",
          right: 551,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729820,
        },
        {
          left: 584,
          photoID: 27792,
          is_in_eye_level: false,
          top: 729,
          bottom: 1057,
          is_side_facing: false,
          color: "#4E4020",
          right: 727,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729816,
        },
        {
          left: 544,
          photoID: 27792,
          is_in_eye_level: true,
          top: 366,
          bottom: 667,
          is_side_facing: false,
          color: "#4E4020",
          right: 691,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729813,
        },
        {
          left: 724,
          photoID: 27792,
          is_in_eye_level: false,
          top: 725,
          bottom: 1053,
          is_side_facing: false,
          color: "#4E4020",
          right: 877,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729811,
        },
        {
          left: 439,
          photoID: 27792,
          is_in_eye_level: false,
          top: 732,
          bottom: 1058,
          is_side_facing: false,
          color: "#4E4020",
          right: 590,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729808,
        },
        {
          left: 1776,
          photoID: 27792,
          is_in_eye_level: false,
          top: 711,
          bottom: 1048,
          is_side_facing: true,
          color: "#FF0000",
          right: 1989,
          is_in_overlap: true,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729803,
        },
        {
          left: 2,
          photoID: 27791,
          is_in_eye_level: false,
          top: 161,
          bottom: 273,
          is_side_facing: true,
          color: "#FF0000",
          right: 47,
          is_in_overlap: true,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729915,
        },
        {
          left: 7,
          photoID: 27791,
          is_in_eye_level: false,
          top: 51,
          bottom: 154,
          is_side_facing: true,
          color: "#FF0000",
          right: 99,
          is_in_overlap: true,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729912,
        },
        {
          left: 594,
          photoID: 27791,
          is_in_eye_level: true,
          top: 161,
          bottom: 298,
          is_side_facing: false,
          color: "#4E4020",
          right: 680,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729908,
        },
        {
          left: 188,
          photoID: 27791,
          is_in_eye_level: false,
          top: 48,
          bottom: 160,
          is_side_facing: true,
          color: "#FF0000",
          right: 295,
          is_in_overlap: true,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729906,
        },
        {
          left: 509,
          photoID: 27791,
          is_in_eye_level: true,
          top: 162,
          bottom: 297,
          is_side_facing: false,
          color: "#4E4020",
          right: 605,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729904,
        },
        {
          left: 380,
          photoID: 27791,
          is_in_eye_level: false,
          top: 165,
          bottom: 296,
          is_side_facing: true,
          color: "#FF0000",
          right: 489,
          is_in_overlap: true,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729903,
        },
        {
          left: 164,
          photoID: 27791,
          is_in_eye_level: false,
          top: 161,
          bottom: 297,
          is_side_facing: true,
          color: "#FF0000",
          right: 263,
          is_in_overlap: true,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729901,
        },
        {
          left: 266,
          photoID: 27791,
          is_in_eye_level: false,
          top: 161,
          bottom: 298,
          is_side_facing: true,
          color: "#FF0000",
          right: 378,
          is_in_overlap: true,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729899,
        },
        {
          left: 44,
          photoID: 27791,
          is_in_eye_level: false,
          top: 155,
          bottom: 298,
          is_side_facing: true,
          color: "#FF0000",
          right: 165,
          is_in_overlap: true,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Molto",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729896,
        },
      ],
      count: 35,
      id: "OtherMolto",
    },
    {
      eye_level_count: 15,
      details: [
        {
          category: "Fabric Care",
        },
        {
          brand: "Other",
        },
        {
          segment: "",
        },
        {
          sku_name: "Other",
        },
        {
          ean: "",
        },
        {
          packshot: "",
        },
        {
          Price: "55000.0",
        },
        {
          count: 22,
        },
        {
          eye_level_count: 15,
        },
      ],
      bounding_boxes: [
        {
          left: 1904,
          photoID: 27792,
          is_in_eye_level: false,
          top: 142,
          bottom: 271,
          is_side_facing: true,
          color: "#FF0000",
          right: 1995,
          is_in_overlap: true,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729836,
        },
        {
          left: 160,
          photoID: 27792,
          is_in_eye_level: false,
          top: 798,
          bottom: 1049,
          is_side_facing: true,
          color: "#FF0000",
          right: 226,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729860,
        },
        {
          left: 1376,
          photoID: 27792,
          is_in_eye_level: true,
          top: 59,
          bottom: 144,
          is_side_facing: true,
          color: "#FF0000",
          right: 1471,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729859,
        },
        {
          left: 788,
          photoID: 27792,
          is_in_eye_level: true,
          top: 148,
          bottom: 197,
          is_side_facing: true,
          color: "#FF0000",
          right: 883,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729856,
        },
        {
          left: 1274,
          photoID: 27792,
          is_in_eye_level: true,
          top: 46,
          bottom: 137,
          is_side_facing: true,
          color: "#FF0000",
          right: 1374,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729850,
        },
        {
          left: 379,
          photoID: 27792,
          is_in_eye_level: true,
          top: 156,
          bottom: 295,
          is_side_facing: true,
          color: "#FF0000",
          right: 488,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729848,
        },
        {
          left: 1880,
          photoID: 27792,
          is_in_eye_level: false,
          top: 48,
          bottom: 152,
          is_side_facing: true,
          color: "#FF0000",
          right: 1984,
          is_in_overlap: true,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729846,
        },
        {
          left: 1082,
          photoID: 27792,
          is_in_eye_level: true,
          top: 56,
          bottom: 162,
          is_side_facing: true,
          color: "#FF0000",
          right: 1176,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729844,
        },
        {
          left: 145,
          photoID: 27792,
          is_in_eye_level: false,
          top: 201,
          bottom: 297,
          is_side_facing: true,
          color: "#FF0000",
          right: 234,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729842,
        },
        {
          left: 70,
          photoID: 27792,
          is_in_eye_level: false,
          top: 194,
          bottom: 299,
          is_side_facing: true,
          color: "#FF0000",
          right: 147,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729841,
        },
        {
          left: 2,
          photoID: 27792,
          is_in_eye_level: false,
          top: 188,
          bottom: 298,
          is_side_facing: true,
          color: "#FF0000",
          right: 70,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729837,
        },
        {
          left: 321,
          photoID: 27792,
          is_in_eye_level: false,
          top: 199,
          bottom: 293,
          is_side_facing: true,
          color: "#FF0000",
          right: 381,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729834,
        },
        {
          left: 268,
          photoID: 27792,
          is_in_eye_level: false,
          top: 211,
          bottom: 291,
          is_side_facing: true,
          color: "#FF0000",
          right: 325,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729832,
        },
        {
          left: 214,
          photoID: 27792,
          is_in_eye_level: false,
          top: 796,
          bottom: 1055,
          is_side_facing: true,
          color: "#FF0000",
          right: 302,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729831,
        },
        {
          left: 1015,
          photoID: 27792,
          is_in_eye_level: false,
          top: 804,
          bottom: 1050,
          is_side_facing: true,
          color: "#FF0000",
          right: 1140,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729828,
        },
        {
          left: 1135,
          photoID: 27792,
          is_in_eye_level: true,
          top: 385,
          bottom: 669,
          is_side_facing: false,
          color: "",
          right: 1284,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729826,
        },
        {
          left: 1733,
          photoID: 27792,
          is_in_eye_level: false,
          top: 349,
          bottom: 661,
          is_side_facing: true,
          color: "#FF0000",
          right: 1848,
          is_in_overlap: true,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729824,
        },
        {
          left: 876,
          photoID: 27792,
          is_in_eye_level: false,
          top: 794,
          bottom: 1052,
          is_side_facing: true,
          color: "#FF0000",
          right: 1017,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729823,
        },
        {
          left: 1128,
          photoID: 27792,
          is_in_eye_level: false,
          top: 731,
          bottom: 1055,
          is_side_facing: false,
          color: "",
          right: 1290,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729822,
        },
        {
          left: 1033,
          photoID: 27792,
          is_in_eye_level: true,
          top: 439,
          bottom: 662,
          is_side_facing: true,
          color: "#FF0000",
          right: 1149,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729821,
        },
        {
          left: 1283,
          photoID: 27792,
          is_in_eye_level: true,
          top: 378,
          bottom: 669,
          is_side_facing: false,
          color: "",
          right: 1451,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729819,
        },
        {
          left: 907,
          photoID: 27792,
          is_in_eye_level: true,
          top: 438,
          bottom: 662,
          is_side_facing: true,
          color: "#FF0000",
          right: 1035,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729818,
        },
        {
          left: 22,
          photoID: 27792,
          is_in_eye_level: false,
          top: 805,
          bottom: 1061,
          is_side_facing: true,
          color: "#FF0000",
          right: 153,
          is_in_overlap: false,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729817,
        },
        {
          left: 1597,
          photoID: 27792,
          is_in_eye_level: false,
          top: 357,
          bottom: 664,
          is_side_facing: true,
          color: "#FF0000",
          right: 1742,
          is_in_overlap: true,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729815,
        },
        {
          left: 1848,
          photoID: 27792,
          is_in_eye_level: false,
          top: 347,
          bottom: 655,
          is_side_facing: true,
          color: "#FF0000",
          right: 1980,
          is_in_overlap: true,

          is_exclusion: true,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729814,
        },
        {
          left: 1446,
          photoID: 27792,
          is_in_eye_level: true,
          top: 375,
          bottom: 670,
          is_side_facing: false,
          color: "",
          right: 1605,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729812,
        },
        {
          left: 162,
          photoID: 27792,
          is_in_eye_level: false,
          top: 438,
          bottom: 672,
          is_side_facing: true,
          color: "#FF0000",
          right: 263,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729810,
        },
        {
          left: 1286,
          photoID: 27792,
          is_in_eye_level: false,
          top: 730,
          bottom: 1047,
          is_side_facing: false,
          color: "",
          right: 1452,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729809,
        },
        {
          left: 1448,
          photoID: 27792,
          is_in_eye_level: false,
          top: 730,
          bottom: 1053,
          is_side_facing: false,
          color: "",
          right: 1611,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729807,
        },
        {
          left: 38,
          photoID: 27792,
          is_in_eye_level: false,
          top: 439,
          bottom: 670,
          is_side_facing: true,
          color: "#FF0000",
          right: 171,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729806,
        },
        {
          left: 298,
          photoID: 27792,
          is_in_eye_level: false,
          top: 789,
          bottom: 1056,
          is_side_facing: true,
          color: "#FF0000",
          right: 427,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729805,
        },
        {
          left: 812,
          photoID: 27792,
          is_in_eye_level: true,
          top: 432,
          bottom: 662,
          is_side_facing: true,
          color: "#FF0000",
          right: 911,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729804,
        },
        {
          left: 1604,
          photoID: 27792,
          is_in_eye_level: false,
          top: 717,
          bottom: 1060,
          is_side_facing: true,
          color: "#FF0000",
          right: 1779,
          is_in_overlap: true,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729802,
        },
        {
          left: 266,
          photoID: 27792,
          is_in_eye_level: false,
          top: 434,
          bottom: 674,
          is_side_facing: true,
          color: "#FF0000",
          right: 395,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729801,
        },
        {
          left: 2,
          photoID: 27791,
          is_in_eye_level: false,
          top: 442,
          bottom: 668,
          is_side_facing: true,
          color: "#FF0000",
          right: 52,
          is_in_overlap: true,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729917,
        },
        {
          left: 289,
          photoID: 27791,
          is_in_eye_level: false,
          top: 63,
          bottom: 162,
          is_side_facing: true,
          color: "#FF0000",
          right: 407,
          is_in_overlap: true,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729913,
        },
        {
          left: 1593,
          photoID: 27791,
          is_in_eye_level: true,
          top: 395,
          bottom: 657,
          is_side_facing: false,
          color: "",
          right: 1661,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729911,
        },
        {
          left: 784,
          photoID: 27791,
          is_in_eye_level: true,
          top: 177,
          bottom: 298,
          is_side_facing: true,
          color: "#FF0000",
          right: 874,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729910,
        },
        {
          left: 100,
          photoID: 27791,
          is_in_eye_level: false,
          top: 60,
          bottom: 156,
          is_side_facing: true,
          color: "#FF0000",
          right: 191,
          is_in_overlap: true,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729909,
        },
        {
          left: 743,
          photoID: 27791,
          is_in_eye_level: false,
          top: 738,
          bottom: 1043,
          is_side_facing: true,
          color: "#FF0000",
          right: 829,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729902,
        },
        {
          left: 1107,
          photoID: 27791,
          is_in_eye_level: true,
          top: 387,
          bottom: 664,
          is_side_facing: false,
          color: "",
          right: 1228,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729900,
        },
        {
          left: 1911,
          photoID: 27791,
          is_in_eye_level: false,
          top: 394,
          bottom: 647,
          is_side_facing: true,
          color: "#FF0000",
          right: 1997,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729898,
        },
        {
          left: 500,
          photoID: 27791,
          is_in_eye_level: false,
          top: 743,
          bottom: 1054,
          is_side_facing: true,
          color: "#FF0000",
          right: 628,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729897,
        },
        {
          left: 1470,
          photoID: 27791,
          is_in_eye_level: true,
          top: 371,
          bottom: 656,
          is_side_facing: false,
          color: "",
          right: 1599,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729894,
        },
        {
          left: 1353,
          photoID: 27791,
          is_in_eye_level: true,
          top: 383,
          bottom: 657,
          is_side_facing: false,
          color: "",
          right: 1475,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729893,
        },
        {
          left: 1577,
          photoID: 27791,
          is_in_eye_level: true,
          top: 175,
          bottom: 303,
          is_side_facing: false,
          color: "",
          right: 1674,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729892,
        },
        {
          left: 1824,
          photoID: 27791,
          is_in_eye_level: false,
          top: 707,
          bottom: 997,
          is_side_facing: true,
          color: "#FF0000",
          right: 1956,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729891,
        },
        {
          left: 606,
          photoID: 27791,
          is_in_eye_level: false,
          top: 728,
          bottom: 1052,
          is_side_facing: true,
          color: "#FF0000",
          right: 749,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729890,
        },
        {
          left: 1646,
          photoID: 27791,
          is_in_eye_level: false,
          top: 378,
          bottom: 654,
          is_side_facing: true,
          color: "#FF0000",
          right: 1803,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729889,
        },
        {
          left: 1484,
          photoID: 27791,
          is_in_eye_level: true,
          top: 176,
          bottom: 304,
          is_side_facing: false,
          color: "",
          right: 1578,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729886,
        },
        {
          left: 1102,
          photoID: 27791,
          is_in_eye_level: false,
          top: 731,
          bottom: 1025,
          is_side_facing: false,
          color: "",
          right: 1210,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729885,
        },
        {
          left: 1370,
          photoID: 27791,
          is_in_eye_level: false,
          top: 713,
          bottom: 1017,
          is_side_facing: false,
          color: "",
          right: 1515,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729884,
        },
        {
          left: 637,
          photoID: 27791,
          is_in_eye_level: true,
          top: 370,
          bottom: 669,
          is_side_facing: true,
          color: "#FF0000",
          right: 737,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729882,
        },
        {
          left: 351,
          photoID: 27791,
          is_in_eye_level: false,
          top: 738,
          bottom: 1058,
          is_side_facing: true,
          color: "#FF0000",
          right: 502,
          is_in_overlap: true,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729881,
        },
        {
          left: 29,
          photoID: 27791,
          is_in_eye_level: false,
          top: 733,
          bottom: 1061,
          is_side_facing: true,
          color: "#FF0000",
          right: 196,
          is_in_overlap: true,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729880,
        },
        {
          left: 191,
          photoID: 27791,
          is_in_eye_level: false,
          top: 743,
          bottom: 1060,
          is_side_facing: true,
          color: "#FF0000",
          right: 354,
          is_in_overlap: true,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729879,
        },
        {
          left: 525,
          photoID: 27791,
          is_in_eye_level: true,
          top: 382,
          bottom: 676,
          is_side_facing: true,
          color: "#FF0000",
          right: 637,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729878,
        },
        {
          left: 732,
          photoID: 27791,
          is_in_eye_level: true,
          top: 369,
          bottom: 666,
          is_side_facing: true,
          color: "#FF0000",
          right: 849,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729877,
        },
        {
          left: 1148,
          photoID: 27791,
          is_in_eye_level: true,
          top: 177,
          bottom: 303,
          is_side_facing: false,
          color: "",
          right: 1248,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729876,
        },
        {
          left: 1056,
          photoID: 27791,
          is_in_eye_level: true,
          top: 183,
          bottom: 302,
          is_side_facing: false,
          color: "",
          right: 1149,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729875,
        },
        {
          left: 1272,
          photoID: 27791,
          is_in_eye_level: true,
          top: 168,
          bottom: 300,
          is_side_facing: false,
          color: "",
          right: 1372,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729874,
        },
        {
          left: 963,
          photoID: 27791,
          is_in_eye_level: true,
          top: 184,
          bottom: 300,
          is_side_facing: false,
          color: "",
          right: 1060,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729873,
        },
        {
          left: 1220,
          photoID: 27791,
          is_in_eye_level: true,
          top: 392,
          bottom: 661,
          is_side_facing: false,
          color: "",
          right: 1358,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729871,
        },
        {
          left: 1674,
          photoID: 27791,
          is_in_eye_level: false,
          top: 709,
          bottom: 1009,
          is_side_facing: true,
          color: "#FF0000",
          right: 1827,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729870,
        },
        {
          left: 1385,
          photoID: 27791,
          is_in_eye_level: true,
          top: 169,
          bottom: 299,
          is_side_facing: false,
          color: "",
          right: 1486,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729869,
        },
        {
          left: 371,
          photoID: 27791,
          is_in_eye_level: false,
          top: 391,
          bottom: 678,
          is_side_facing: true,
          color: "#FF0000",
          right: 532,
          is_in_overlap: true,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729868,
        },
        {
          left: 1204,
          photoID: 27791,
          is_in_eye_level: false,
          top: 727,
          bottom: 1025,
          is_side_facing: false,
          color: "",
          right: 1368,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729867,
        },
        {
          left: 199,
          photoID: 27791,
          is_in_eye_level: false,
          top: 388,
          bottom: 678,
          is_side_facing: true,
          color: "#FF0000",
          right: 371,
          is_in_overlap: true,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729866,
        },
        {
          left: 41,
          photoID: 27791,
          is_in_eye_level: false,
          top: 393,
          bottom: 680,
          is_side_facing: true,
          color: "#FF0000",
          right: 211,
          is_in_overlap: true,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729865,
        },
        {
          left: 1514,
          photoID: 27791,
          is_in_eye_level: false,
          top: 712,
          bottom: 1013,
          is_side_facing: false,
          color: "",
          right: 1673,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729864,
        },
        {
          left: 1801,
          photoID: 27791,
          is_in_eye_level: false,
          top: 378,
          bottom: 651,
          is_side_facing: true,
          color: "#FF0000",
          right: 1914,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Other",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729863,
        },
      ],
      count: 71,
      id: "OtherOther",
    },
    {
      eye_level_count: 0,
      details: [
        {
          category: "Fabric Care",
        },
        {
          brand: "Royale",
        },
        {
          segment: "",
        },
        {
          sku_name: "Other",
        },
        {
          ean: "",
        },
        {
          packshot: "",
        },
        {
          "Promotional Type": "",
        },
        {
          "Promotional Crop": "",
        },
        {
          Price: "",
        },
        {
          count: 0,
        },
        {
          eye_level_count: 0,
        },
      ],
      bounding_boxes: [
        {
          left: 230,
          photoID: 27792,
          is_in_eye_level: false,
          top: 216,
          bottom: 290,
          is_side_facing: true,
          color: "#FF0000",
          right: 272,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Royale",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729862,
        },
        {
          left: 1824,
          photoID: 27791,
          is_in_eye_level: false,
          top: 162,
          bottom: 291,
          is_side_facing: true,
          color: "#FF0000",
          right: 1889,
          is_in_overlap: false,

          is_exclusion: false,
          new_tooltip: [
            {
              Brand: "Royale",
            },
            {
              Segment: "",
            },
            {
              "SKU Name": "Other",
            },
          ],
          id: 1729918,
        },
      ],
      count: 2,
      id: "OtherRoyale",
    },
  ],
  count: 56,
  images: [
    {
      display_boundary: [],
      id: 27792,
      eye_level: {
        left: 379,
        right: 1605,
        top: 46,
        bottom: 672,
      },
      height: 1125,
      path: "https://storage.googleapis.com/infilect-shelfdemo/media/photos/2022/03/10/06/img1.jpg",
      width: 2000,
    },
    {
      display_boundary: [],
      id: 27791,
      eye_level: {
        left: 509,
        right: 1674,
        top: 58,
        bottom: 676,
      },
      height: 1125,
      path: "https://storage.googleapis.com/infilect-shelfdemo/media/photos/2022/03/10/06/img2.jpg",
      width: 2000,
    },
  ],
  color_legend: {
    brands: [
      {
        value: "Downy",
        color: "#6C41A1",
      },
      {
        value: "Molto",
        color: "#4E4020",
      },
    ],
    segments: [
      {
        value: "Downy",
        color: "#6C41A1",
      },
      {
        value: "Molto",
        color: "#4E4020",
      },
    ],
  },
  store_explorer_settings: {
    segment: {
      label: "Show Segment",
      enable: false,
      action_list: "variant",
      action_key: "segments",
    },
    posm: {
      label: "Show POSM/BAY",
      enable: true,
      action_list: "images",
      action_key: "displays",
    },
    exclusion: {
      label: "Show Exclusions",
      enable: true,
      action_list: "variants",
      for: "toggle_boxes",
      action_key: "is_exclusion",
    },
    overlap: {
      label: "Show Overlap",
      enable: true,
      action_list: "variants",
      for: "toggle_boxes",
      action_key: "is_in_overlap",
    },
    side_facing: {
      label: "Show Side Facing",
      enable: true,
      action_list: "variants",
      for: "toggle_boxes",
      action_key: "is_side_facing",
    },
    eye_level: {
      label: "Show Eye Level",
      enable: true,
      action_list: "variants",
      for: "toggle_boxes",
      action_key: "is_in_eye_level",
    },
  },
};
